Skip to main content
REST API reference

Update a WebAuthn global settings for an ONTAP cluster or SVM.

PATCH /security/webauthn/global-settings/{owner.uuid}

Introduced In: 9.19

Updates a WebAuthn global settings for a cluster or an SVM.

  • security webauthn modify

Parameters

Name Type In Required Description

owner.uuid

string

path

True

Cluster or SVM UUID

Request Body

Name Type Description

attestation

string

Attestation conveyance type.

owner

svm_reference

SVM, applies only to SVM-scoped objects.

require_rk

boolean

Specifies whether the resident key is required.

resident_key

string

Resident key.

rp_domains

array[string]

List of relying party domains

scope

string

Scope of the entity. Set to "cluster" for cluster owned objects and to "svm" for SVM owned objects.

timeout

integer

The timeout interval for the WebAuthn request, in milliseconds.

user_verification

string

User verification.

Example request
{
  "attestation": "none",
  "owner": {
    "name": "svm1",
    "uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
  },
  "require_rk": "",
  "resident_key": "discouraged",
  "rp_domains": [
    "example.com"
  ],
  "scope": "string",
  "timeout": 600000,
  "user_verification": "discouraged"
}

Response

Status: 200, Ok

Error

Status: Default, Error

Definitions

See Definitions

href

Name Type Description

href

string

svm_reference

SVM, applies only to SVM-scoped objects.

Name Type Description

name

string

The name of the SVM. This field cannot be specified in a PATCH method.

uuid

string

The unique identifier of the SVM. This field cannot be specified in a PATCH method.

webauthn_global

WebAuthn global settings.

Name Type Description

attestation

string

Attestation conveyance type.

owner

svm_reference

SVM, applies only to SVM-scoped objects.

require_rk

boolean

Specifies whether the resident key is required.

resident_key

string

Resident key.

rp_domains

array[string]

List of relying party domains

scope

string

Scope of the entity. Set to "cluster" for cluster owned objects and to "svm" for SVM owned objects.

timeout

integer

The timeout interval for the WebAuthn request, in milliseconds.

user_verification

string

User verification.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

returned_error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.